automagic: Automagically Document and Install Packages Necessary to Run R Code

Parse R code in a given directory for R packages and attempt to install them from CRAN or GitHub. Optionally use a dependencies file for tighter control over which package versions to install.

Version: 0.5.1
Depends: R (≥ 3.1.0)
Imports: dplyr, formatR, knitr, magrittr, purrr, remotes, yaml
Suggests: testthat
Published: 2019-03-05
Author: Cole Brokamp [aut, cre], Steph Locke [ctb]
Maintainer: Cole Brokamp <cole.brokamp at gmail.com>
BugReports: https://github.com/cole-brokamp/automagic/issues
License: GPL-2 | GPL-3 [expanded from: GPL]
URL: https://github.com/cole-brokamp/automagic
NeedsCompilation: no
Materials: NEWS
CRAN checks: automagic results

Downloads:

Reference manual: automagic.pdf
Package source: automagic_0.5.1.tar.gz
Windows binaries: r-devel: automagic_0.5.1.zip, r-devel-gcc8: automagic_0.5.1.zip, r-release: automagic_0.5.1.zip, r-oldrel: automagic_0.5.1.zip
OS X binaries: r-release: automagic_0.5.1.tgz, r-oldrel: automagic_0.5.1.tgz
Old sources: automagic archive

Linking:

Please use the canonical form https://CRAN.R-project.org/package=automagic to link to this page.